#include "kernelUtil.h"

extern "C" void _start(BootInfo* bootInfo) {
	KernelInfo kernelInfo = InitializeKernel(bootInfo);
	PageTableManager* pageTableManager = kernelInfo.pageTableManager;

	GlobalRenderer->Print("Kernel initialized successfully!");
	GlobalRenderer->cursorPosition = {0, GlobalRenderer->cursorPosition.y + 18};
	
	// make sure we never return from our OS
	while (true);
}